ITPub博客

首页 > Linux操作系统 > Linux操作系统 > OPatch cannot run

OPatch cannot run

原创 Linux操作系统 作者:cargoo 时间:2009-07-06 10:13:53 0 删除 编辑
操作系统:HP-UX B.11.31
硬件平台:Itanium 2 9100 (1.6G,18MB)
机器型号:IA64 HP Server rx8640

Oracle版本:9.2.0.8 64bit
OPatch版本:p6880880_101000_HPUX-IA64.zip

安装完成之后,./opatch脚本运行时,报告错误:
“Can't locate loadable object for module POSIX in @INC (@INC contains:

“Can't locate loadable object for module IO in @INC (@INC contains: ./perl_modules /oracle/product/9.2.0/Apache/perl/lib/5.00503/IA64.ARCHREV_0 /oracle/product/9.2.0/Apache/perl/lib/5.00503 ./perl_modules /project/ia64hpunix64/9202/APACHE/src/pdc_perl/bin/HPUX/Opt/lib/5.00503/IA64.ARCHREV_0 /project/ia64hpunix64/9202/APACHE/src/pdc_perl/bin/HPUX/Opt/lib/5.00503 /project/ia64hpunix64/9202/APACHE/src/pdc_perl/bin/HPUX/Opt/lib/site_perl/5.005/IA64.ARCHREV_0 /project/ia64hpunix64/9202/APACHE/src/pdc_perl/bin/HPUX/Opt/lib/site_perl/5.005 .) at /oracle/product/9.2.0/Apache/perl/lib/5.00503/IA64.ARCHREV_0/IO/Handle.pm line 248

BEGIN failed--compilation aborted at perl_modules/Command.pm line 477.

BEGIN failed--compilation aborted at ./opatch.pl line 93.”



原因:在IA64平台下perl只调用.sl的库文件,而不调用.so的库文件。
解决方法:根据module name找到对应的so文件,将其复制为sl文件。

另一原因:Metalink 306580.1
解决方法:
Patch 4261525

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/5359/viewspace-608389/,如需转载,请注明出处,否则将追究法律责任。

上一篇: 没有了~
下一篇: ORA-00600 [504]
请登录后发表评论 登录
全部评论

注册时间:2009-02-10

  • 博文量
    105
  • 访问量
    212849